com.io7m.smfj.validation.api

## Enum SMFSchemaRequireVertices

- java.lang.Object
- - java.lang.Enum<SMFSchemaRequireVertices>
  - - com.io7m.smfj.validation.api.SMFSchemaRequireVertices

- All Implemented Interfaces:
    Serializable, Comparable<SMFSchemaRequireVertices>

      public enum SMFSchemaRequireVertices
      extends Enum<SMFSchemaRequireVertices>

  An indication of whether a non-zero number of vertices must be provided.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SMF_VERTICES_NOT_REQUIRED` A non-zero vertex count is not required.
    `SMF_VERTICES_REQUIRED` A non-zero vertex count is required.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFSchemaRequireVertices` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SMFSchemaRequireVertices[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SMF_VERTICES_REQUIRED

          public static final SMFSchemaRequireVertices SMF_VERTICES_REQUIRED

      A non-zero vertex count is required.

    - #### SMF_VERTICES_NOT_REQUIRED

          public static final SMFSchemaRequireVertices SMF_VERTICES_NOT_REQUIRED

      A non-zero vertex count is not required.

  - ### Method Detail

    - #### values

          public static SMFSchemaRequireVertices[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SMFSchemaRequireVertices c : SMFSchemaRequireVertices.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SMFSchemaRequireVertices valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com